image: maven:3.3.9-jdk-8

stages:
  - Build and Test

integration-test:
  stage: Build and Test
  cache:
    key: $CI_COMMIT_REF_SLUG-$CI_PROJECT_DIR
    paths:
      - ./.m2/repository

  script:
    - mvn -B verify --file pom.xml
  artifacts:
    paths:
      - test-results/
